Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Name_Options Class Reference

Manages the options for the ACE Name_Server. More...

`#include <Naming_Context.h>`

List of all members.

## Public Methods
| ACE_Name_Options (void)
| ~ACE_Name_Options (void)
void | parse_args (int argc, ACE_TCHAR *argv[])
| Parse arguments.
void | nameserver_port (int port)
int | nameserver_port (void)
ACE_Naming_Context::Context_Scope_Type | context (void)
void | context (ACE_Naming_Context::Context_Scope_Type)
void | nameserver_host (const ACE_TCHAR *host)
const ACE_TCHAR* | nameserver_host (void)
void | namespace_dir (const ACE_TCHAR *dir)
const ACE_TCHAR* | namespace_dir (void)
void | process_name (const ACE_TCHAR *dir)
const ACE_TCHAR* | process_name (void)
void | database (const ACE_TCHAR *)
const ACE_TCHAR* | database (void)
void | base_address (char *address)
char* | base_address (void)
int | use_registry (void)
void | use_registry (int)
int | debug (void)
| Return debug status.
int | verbose (void)
| Return verbose status.
## Private Attributes
int | debugging_
| Extra debugging info.
int | verbosity_
| Extra verbose messages.
int | use_registry_
| Use Win32 Registry.
int | nameserver_port_
| Port to connect to nameserver process.
const ACE_TCHAR* | nameserver_host_
| Hostname of nameserver.
ACE_TCHAR* | namespace_dir_
| Directory to hold name_bindings.
const ACE_TCHAR* | process_name_
| Name of this process.
const ACE_TCHAR* | database_
| Name of the database that stores the name/value/type bindings.
char* | base_address_
| Base address of the underlying allocator.
ACE_Naming_Context::Context_Scope_Type | context_
| The context in which the naming database will be created.

## Detailed Description

Manages the options for the ACE Name_Server.

## Constructor & Destructor Documentation

ACE_Name_Options::ACE_Name_Options ( | void )

ACE_Name_Options::~ACE_Name_Options ( | void )

## Member Function Documentation

char * ACE_Name_Options::base_address ( | void )

void ACE_Name_Options::base_address ( | char * base_address )

void ACE_Name_Options::context ( | ACE_Naming_Context::Context_Scope_Type context )

ACE_Naming_Context::Context_Scope_Type ACE_Name_Options::context ( | void )

const ACE_TCHAR * ACE_Name_Options::database ( | void )

void ACE_Name_Options::database ( | const ACE_TCHAR * db )

int ACE_Name_Options::debug ( | void )

| Return debug status.

const ACE_TCHAR * ACE_Name_Options::nameserver_host ( | void )

void ACE_Name_Options::nameserver_host ( | const ACE_TCHAR * host )

int ACE_Name_Options::nameserver_port ( | void )

void ACE_Name_Options::nameserver_port ( | int port )

const ACE_TCHAR * ACE_Name_Options::namespace_dir ( | void )

void ACE_Name_Options::namespace_dir ( | const ACE_TCHAR * dir )

void ACE_Name_Options::parse_args ( | int argc,
| ACE_TCHAR * argv[] )

| Parse arguments.

const ACE_TCHAR * ACE_Name_Options::process_name ( | void )

void ACE_Name_Options::process_name ( | const ACE_TCHAR * pname )

void ACE_Name_Options::use_registry ( | int x )

int ACE_Name_Options::use_registry ( | void )

int ACE_Name_Options::verbose ( | void )

| Return verbose status.

## Member Data Documentation

char * ACE_Name_Options::base_address_`[private]`

| Base address of the underlying allocator.

ACE_Naming_Context::Context_Scope_Type ACE_Name_Options::context_`[private]`

| The context in which the naming database will be created.

const ACE_TCHAR * ACE_Name_Options::database_`[private]`

| Name of the database that stores the name/value/type bindings.

int ACE_Name_Options::debugging_`[private]`

| Extra debugging info.

const ACE_TCHAR * ACE_Name_Options::nameserver_host_`[private]`

| Hostname of nameserver.

int ACE_Name_Options::nameserver_port_`[private]`

| Port to connect to nameserver process.

ACE_TCHAR * ACE_Name_Options::namespace_dir_`[private]`

| Directory to hold name_bindings.

const ACE_TCHAR * ACE_Name_Options::process_name_`[private]`

| Name of this process.

int ACE_Name_Options::use_registry_`[private]`

| Use Win32 Registry.

int ACE_Name_Options::verbosity_`[private]`

| Extra verbose messages.

The documentation for this class was generated from the following files:

- Naming_Context.h
- Naming_Context.cpp